Loading...
Searching...
No Matches
version.h File Reference
libavdevice

Libavdevice version macros. More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBAVDEVICE_VERSION_MINOR 3
#define | LIBAVDEVICE_VERSION_MICRO 100
#define | LIBAVDEVICE_VERSION_INT
#define | LIBAVDEVICE_VERSION
#define | LIBAVDEVICE_BUILD LIBAVDEVICE_VERSION_INT
#define | LIBAVDEVICE_IDENT "Lavd" AV_STRINGIFY(LIBAVDEVICE_VERSION)

## Detailed Description

Libavdevice version macros.

Definition in file version.h.

## Macro Definition Documentation

## LIBAVDEVICE_VERSION_MINOR

#define LIBAVDEVICE_VERSION_MINOR 3

Definition at line 32 of file version.h.

## LIBAVDEVICE_VERSION_MICRO

#define LIBAVDEVICE_VERSION_MICRO 100

Definition at line 33 of file version.h.

## LIBAVDEVICE_VERSION_INT

#define LIBAVDEVICE_VERSION_INT

Value:
AV_VERSION_INT(LIBAVDEVICE_VERSION_MAJOR, \
LIBAVDEVICE_VERSION_MINOR, \
LIBAVDEVICE_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBAVDEVICE_VERSION_MINOR
#define LIBAVDEVICE_VERSION_MINOR
Definition version.h:32
LIBAVDEVICE_VERSION_MICRO
#define LIBAVDEVICE_VERSION_MICRO
Definition version.h:33
LIBAVDEVICE_VERSION_MAJOR
#define LIBAVDEVICE_VERSION_MAJOR
Definition version_major.h:28

Definition at line 35 of file version.h.

## LIBAVDEVICE_VERSION

#define LIBAVDEVICE_VERSION

Value:
AV_VERSION(LIBAVDEVICE_VERSION_MAJOR, \
LIBAVDEVICE_VERSION_MINOR, \
LIBAVDEVICE_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 38 of file version.h.

## LIBAVDEVICE_BUILD

#define LIBAVDEVICE_BUILD LIBAVDEVICE_VERSION_INT

Definition at line 41 of file version.h.

## LIBAVDEVICE_IDENT

#define LIBAVDEVICE_IDENT "Lavd" AV_STRINGIFY(LIBAVDEVICE_VERSION)

Definition at line 43 of file version.h.